# Uses of Interface
org.eclipse.emf.cdo.lm.security.LMSecurityPackage

Packages that use LMSecurityPackage
Package
Description
org.eclipse.emf.cdo.lm.security
The generated EMF API of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.util
The generated EMF utilities of the CDO Lifecycle Management Security model.

## Uses of LMSecurityPackage in org.eclipse.emf.cdo.lm.security

Fields in org.eclipse.emf.cdo.lm.security declared as LMSecurityPackage
Modifier and Type
Field
Description
`static final LMSecurityPackage`
LMSecurityPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.lm.security that return LMSecurityPackage
Modifier and Type
Method
Description
`LMSecurityPackage`
LMSecurityFactory.`getLMSecurityPackage()`
Returns the package supported by this factory.

## Uses of LMSecurityPackage in org.eclipse.emf.cdo.lm.security.impl

Classes in org.eclipse.emf.cdo.lm.security.impl that implement LMSecurityPackage
Modifier and Type
Class
Description
`class`
`LMSecurityPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.lm.security.impl that return LMSecurityPackage
Modifier and Type
Method
Description
`LMSecurityPackage`
LMSecurityFactoryImpl.`getLMSecurityPackage()`
`static LMSecurityPackage`
LMSecurityFactoryImpl.`getPackage()`
Deprecated.
`static LMSecurityPackage`
LMSecurityPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of LMSecurityPackage in org.eclipse.emf.cdo.lm.security.util

Fields in org.eclipse.emf.cdo.lm.security.util declared as LMSecurityPackage
Modifier and Type
Field
Description
`protected static LMSecurityPackage`
LMSecurityAdapterFactory.`modelPackage`
The cached model package.
`protected static LMSecurityPackage`
LMSecuritySwitch.`modelPackage`
The cached model package